Bug 1264348 - DHT: To migrate 75K files rebalance process took 80 min [NEEDINFO]
DHT: To migrate 75K files rebalance process took 80 min
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Susant Kumar Palai
Prasad Desala
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-18 05:19 EDT by RajeshReddy
Modified: 2018-01-24 01:12 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-03 03:45:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sanandpa: needinfo? (tdesala)


Attachments (Terms of Use)

  None (edit)
Description RajeshReddy 2015-09-18 05:19:01 EDT
Description of problem:
=============================
To migrate 150k files rebalance taking 80 mins time 


Version-Release number of selected component (if applicable):
====================
glusterfs-fuse-3.7.1-14


Steps to Reproduce:
=======================
1. Create Distributed volume with one brick and mount it on client using FUSE
2. Add another brick from the same node and run the re-balance

Actual Result:
============
Rebalance taking 80 min time to migrate 75k files  

Expected Result:
===============
It would be good to improve the performance 

Note:
=======
[root@rhs-client39 data]# gluster vol rebalance mem_dht2 status
                                    Node Rebalanced-files          size       scanned      failures       skipped               status   run time in secs
                               ---------      -----------   -----------   -----------   -----------   -----------         ------------     --------------
                               localhost            75039       458.8KB        150002             0             0            completed            4778.00
volume rebalance: mem_dht2: success: 

Note:
========
Logs are available @ fallowing location 

/home/repo/sosreports/bug.1264310
Comment 4 RajeshReddy 2016-01-11 08:11:58 EST
Created volume with one brick and mount it on client, after that created one directory and created 150k files, Then added one more brick to the volume and triggered re-balance and rebalance migrated 75k files to newly added brick and to migrate the same it took 80 min

Note You need to log in before you can comment on or make changes to this bug.